Search documentation of grizzly

# View Source Grizzly.ZWave.CommandClasses.NetworkManagementBasicNode (grizzly v7.4.2)

Command class for working with Z-Wave network updates and resetting the controller back to the factor defaults

# Summary

## Types

add_mode()
network_update_request_status()

## Functions

add_mode_from_bit(int)
add_mode_to_byte(atom)
network_update_request_status_from_byte(byte)
network_update_request_status_to_byte(atom)

# Types

Link to this type

# add_mode()

View Source

    @type add_mode() :: :learn | :add

Link to this type

# network_update_request_status()

View Source

    @type network_update_request_status() ::
      :done | :abort | :wait | :disabled | :overflow

# Functions

Link to this function

# add_mode_from_bit(int)

View Source

    @spec add_mode_from_bit(0 | 1) :: add_mode()

Link to this function

# add_mode_to_byte(atom)

View Source

    @spec add_mode_to_byte(add_mode()) :: byte()

Link to this function

# network_update_request_status_from_byte(byte)

View Source

    @spec network_update_request_status_from_byte(byte()) ::
      {:ok, network_update_request_status()}
      | {:error, Grizzly.ZWave.DecodeError.t()}

Link to this function

# network_update_request_status_to_byte(atom)

View Source

    @spec network_update_request_status_to_byte(network_update_request_status()) :: byte()